System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IDictionary System.Web.UI.IStateManager

View state for a page or control is the cumulative property values, or view, of that page or control. You can access this class through the property. Controls can also store essential state information in control state, but that information is not stored as a object.

This class is the primary storage mechanism for all HTML and Web server controls. It stores attribute/value pairs as strings associated with the control. It tracks changes to these attributes only after the method is executed for a page request, and saves the changes to the page's or control's view state.

This class implements a dictionary, and you can add items to it or remove items from it as you would any dictionary object. For more information about data collections, such as dictionaries, see Collections and Data Structures.

Manages the view state of ASP.NET server controls, including pages. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class. This is the default constructor for this class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that allows stored state values to be case-insensitive.

  true to ignore case; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.StateItem `` `` To be added

  Adds a new object to the object. If the item already exists in the object, this method updates the value of the item.

  Returns a that represents the object added to view state.

  The attribute name for the . The value of the item to add to the . 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Removes all items from the current object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of objects in the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IDictionaryEnumerator To be added

  Returns an enumerator that iterates over all the key/value pairs of the objects stored in the object.

  The enumerator to iterate through the state bag.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  This method also returns false if the parameter does not exist in the object.

  Checks a object stored in the object to evaluate whether it has been modified since the call to .

  true if the item has been modified; otherwise, false.

  The key of the item to check. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'string' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection a

  These keys are the names of the control properties. For example, if you created a BGColor property on a Table control that you customized, a BGColor entry is created in this collection representing that property on your Table control.

  These keys correspond to the names of the objects stored in the collection for the current page or server control.

  You can iterate over this collection using the method.

  Gets a collection of keys representing the items in the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Removes the specified key/value pair from the object.

  The item to remove. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method is used to force the collection and its contents to be serialized during a call to the method.

  Sets the state of the object as well as the property of each of the objects contained by it.

  true to mark the state of the collection and its items as modified; otherwise, false.
- Method
  System.Void `` ``

  The method is used to prevent or force state management of specific properties, represented by objects in the collection.

  Sets the property for the specified object in the object.

  The key that identifies which in the to set. true to mark the state of the item as modified; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The to use as the key of the element to add. The to use as the value of the element to add.
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true if the contains an element with the key; otherwise, false.

  The key to locate in the object.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The key of the element to remove.
- Method
  1.0.5000.0
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An that can be used to iterate through the collection.

- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether state changes are being tracked.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  This method restores view-state information for the object from a previous page request that was saved by the method.

  This method is primarily used by control developers. You can override this method to control how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  Restores the previously saved view state of the object.

- Method
  1.0.5000.0
  2.0.0.0
  System.Object

  This method is primarily used by control developers.

  View state is the accumulation of the values of a server control's properties. These values are automatically placed in the server control's property, which is an instance of the class. This property's value is then persisted to a string object after the save state stage of the server control life cycle. For more information, see ASP.NET Web Server Controls.

  When view state is saved, this string object is returned to the client as a variable that is stored in an HTML Hidden element. When you author custom server controls, you can improve efficiency by overriding this method and modifying your server control's property. For more information, see ASP.NET Web Server Controls Controls and ASP.NET State Management Overview.

  Saves the changes to the object since the time the page was posted back to the server.

  The object that contains the changes to the view state of the . If there are no changes, or there are no elements in the , this method returns null.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added.

  Causes the object to track changes to its state so that it can be persisted across requests.

- Property
  System.Collections.ICollection a

  This is a collection that contains the values for all the objects in the specified page or control. You can iterate through these values by using the method.

  Gets a collection of the view-state values stored in the object.

  1.0.5000.0
  2.0.0.0